<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>arm</class>
 <widget class="QWidget" name="arm">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>492</width>
    <height>429</height>
   </rect>
  </property>
  <property name="minimumSize">
   <size>
    <width>349</width>
    <height>429</height>
   </size>
  </property>
  <property name="maximumSize">
   <size>
    <width>16777215</width>
    <height>16777215</height>
   </size>
  </property>
  <property name="windowTitle">
   <string>Form</string>
  </property>
  <property name="autoFillBackground">
   <bool>true</bool>
  </property>
  <layout class="QVBoxLayout" name="verticalLayout_2">
   <item>
    <widget class="QTabWidget" name="tabWidget">
     <property name="currentIndex">
      <number>0</number>
     </property>
     <widget class="QWidget" name="car_tab">
      <attribute name="title">
       <string>Car</string>
      </attribute>
      <layout class="QGridLayout" name="gridLayout_2">
       <item row="1" column="0">
        <widget class="QGroupBox" name="groupBox_3">
         <property name="minimumSize">
          <size>
           <width>99</width>
           <height>166</height>
          </size>
         </property>
         <property name="maximumSize">
          <size>
           <width>16777215</width>
           <height>16777215</height>
          </size>
         </property>
         <property name="title">
          <string>RL</string>
         </property>
         <property name="alignment">
          <set>Qt::AlignCenter</set>
         </property>
         <layout class="QVBoxLayout" name="verticalLayout_6" stretch="1,10">
          <item>
           <layout class="QHBoxLayout" name="horizontalLayout_2">
            <item>
             <widget class="QLabel" name="label_5">
              <property name="text">
               <string>POS</string>
              </property>
              <property name="alignment">
               <set>Qt::AlignCenter</set>
              </property>
             </widget>
            </item>
            <item>
             <widget class="QLabel" name="label_6">
              <property name="text">
               <string>NEG</string>
              </property>
              <property name="alignment">
               <set>Qt::AlignCenter</set>
              </property>
             </widget>
            </item>
           </layout>
          </item>
          <item>
           <layout class="QHBoxLayout" name="horizontalLayout_8">
            <item>
             <widget class="arm_bars" name="RL_pos_torque" native="true"/>
            </item>
            <item>
             <widget class="arm_bars" name="RL_neg_torque" native="true"/>
            </item>
           </layout>
          </item>
         </layout>
        </widget>
       </item>
       <item row="0" column="0">
        <widget class="QGroupBox" name="groupBox">
         <property name="minimumSize">
          <size>
           <width>99</width>
           <height>166</height>
          </size>
         </property>
         <property name="maximumSize">
          <size>
           <width>16777215</width>
           <height>16777215</height>
          </size>
         </property>
         <property name="title">
          <string>FL</string>
         </property>
         <property name="alignment">
          <set>Qt::AlignCenter</set>
         </property>
         <layout class="QVBoxLayout" name="verticalLayout" stretch="1,10">
          <item>
           <layout class="QHBoxLayout" name="horizontalLayout_5">
            <item>
             <widget class="QLabel" name="label">
              <property name="text">
               <string>POS</string>
              </property>
              <property name="alignment">
               <set>Qt::AlignCenter</set>
              </property>
             </widget>
            </item>
            <item>
             <widget class="QLabel" name="label_2">
              <property name="text">
               <string>NEG</string>
              </property>
              <property name="alignment">
               <set>Qt::AlignCenter</set>
              </property>
             </widget>
            </item>
           </layout>
          </item>
          <item>
           <layout class="QHBoxLayout" name="horizontalLayout_4">
            <item>
             <widget class="arm_bars" name="FL_pos_torque" native="true"/>
            </item>
            <item>
             <widget class="arm_bars" name="FL_neg_torque" native="true"/>
            </item>
           </layout>
          </item>
         </layout>
        </widget>
       </item>
       <item row="1" column="2">
        <widget class="QGroupBox" name="groupBox_4">
         <property name="minimumSize">
          <size>
           <width>99</width>
           <height>166</height>
          </size>
         </property>
         <property name="title">
          <string>RR</string>
         </property>
         <property name="alignment">
          <set>Qt::AlignCenter</set>
         </property>
         <property name="flat">
          <bool>false</bool>
         </property>
         <layout class="QVBoxLayout" name="verticalLayout_7" stretch="1,10">
          <item>
           <layout class="QHBoxLayout" name="horizontalLayout">
            <item>
             <widget class="QLabel" name="label_7">
              <property name="text">
               <string>POS</string>
              </property>
              <property name="alignment">
               <set>Qt::AlignCenter</set>
              </property>
             </widget>
            </item>
            <item>
             <widget class="QLabel" name="label_8">
              <property name="text">
               <string>NEG</string>
              </property>
              <property name="alignment">
               <set>Qt::AlignCenter</set>
              </property>
             </widget>
            </item>
           </layout>
          </item>
          <item>
           <layout class="QHBoxLayout" name="horizontalLayout_9">
            <item>
             <widget class="arm_bars" name="RR_pos_torque" native="true"/>
            </item>
            <item>
             <widget class="arm_bars" name="RR_neg_torque" native="true"/>
            </item>
           </layout>
          </item>
         </layout>
        </widget>
       </item>
       <item row="0" column="2">
        <widget class="QGroupBox" name="groupBox_2">
         <property name="minimumSize">
          <size>
           <width>99</width>
           <height>166</height>
          </size>
         </property>
         <property name="maximumSize">
          <size>
           <width>16777215</width>
           <height>16777215</height>
          </size>
         </property>
         <property name="title">
          <string>FR</string>
         </property>
         <property name="alignment">
          <set>Qt::AlignCenter</set>
         </property>
         <layout class="QVBoxLayout" name="verticalLayout_5" stretch="1,10">
          <item>
           <layout class="QHBoxLayout" name="horizontalLayout_3">
            <item>
             <widget class="QLabel" name="label_3">
              <property name="text">
               <string>POS</string>
              </property>
              <property name="alignment">
               <set>Qt::AlignCenter</set>
              </property>
             </widget>
            </item>
            <item>
             <widget class="QLabel" name="label_4">
              <property name="text">
               <string>NEG</string>
              </property>
              <property name="alignment">
               <set>Qt::AlignCenter</set>
              </property>
             </widget>
            </item>
           </layout>
          </item>
          <item>
           <layout class="QHBoxLayout" name="horizontalLayout_6">
            <item>
             <widget class="arm_bars" name="FR_pos_torque" native="true"/>
            </item>
            <item>
             <widget class="arm_bars" name="FR_neg_torque" native="true"/>
            </item>
           </layout>
          </item>
         </layout>
        </widget>
       </item>
       <item row="2" column="1">
        <widget class="QWidget" name="DRS_Widget" native="true">
         <property name="minimumSize">
          <size>
           <width>100</width>
           <height>20</height>
          </size>
         </property>
         <property name="maximumSize">
          <size>
           <width>100</width>
           <height>20</height>
          </size>
         </property>
        </widget>
       </item>
      </layout>
     </widget>
     <widget class="QWidget" name="tab_2">
      <attribute name="title">
       <string>Set</string>
      </attribute>
      <layout class="QVBoxLayout" name="verticalLayout_3">
       <item>
        <widget class="QScrollArea" name="scrollArea">
         <property name="widgetResizable">
          <bool>true</bool>
         </property>
         <widget class="QWidget" name="scroll_area">
          <property name="geometry">
           <rect>
            <x>0</x>
            <y>0</y>
            <width>563</width>
            <height>267</height>
           </rect>
          </property>
          <layout class="QVBoxLayout" name="verticalLayout_4">
           <item>
            <layout class="QVBoxLayout" name="this_is_scroll_area">
             <item>
              <layout class="QHBoxLayout" name="horizontalLayout_7" stretch="5,1,1,1,1">
               <item>
                <widget class="QLabel" name="traction">
                 <property name="text">
                  <string>Traction Mode:</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QComboBox" name="torque_mode_dropdown">
                 <item>
                  <property name="text">
                   <string/>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>FWD</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>RWD</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>AWD</string>
                  </property>
                 </item>
                </widget>
               </item>
               <item>
                <widget class="QPushButton" name="set_torque_mode">
                 <property name="text">
                  <string>Set</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QLabel" name="label_10">
                 <property name="text">
                  <string>Current:</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QLabel" name="current_torque_mode">
                 <property name="text">
                  <string/>
                 </property>
                </widget>
               </item>
              </layout>
             </item>
             <item>
              <layout class="QHBoxLayout" name="horizontalLayout_10" stretch="5,1,1,1,1">
               <item>
                <widget class="QLabel" name="regen">
                 <property name="text">
                  <string>Regen Mode:</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QComboBox" name="regen_mode_drop">
                 <item>
                  <property name="text">
                   <string/>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>No Regen</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>Max</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>Max Braking</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>Basic Regen</string>
                  </property>
                 </item>
                </widget>
               </item>
               <item>
                <widget class="QPushButton" name="set_regen">
                 <property name="text">
                  <string>Set</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QLabel" name="label_12">
                 <property name="text">
                  <string>Current:</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QLabel" name="current_regen_mode">
                 <property name="text">
                  <string/>
                 </property>
                </widget>
               </item>
              </layout>
             </item>
             <item>
              <layout class="QHBoxLayout" name="horizontalLayout_12" stretch="5,1,1,1,1">
               <item>
                <widget class="QLabel" name="yaw">
                 <property name="text">
                  <string>Yaw Moment Control Mode:</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QComboBox" name="lateral_drop">
                 <item>
                  <property name="text">
                   <string/>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>Feedback</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>Steering Proportional</string>
                  </property>
                 </item>
                </widget>
               </item>
               <item>
                <widget class="QPushButton" name="set_lateral">
                 <property name="text">
                  <string>Set</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QLabel" name="label_18">
                 <property name="text">
                  <string>Current</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QLabel" name="current_yaw">
                 <property name="text">
                  <string/>
                 </property>
                </widget>
               </item>
              </layout>
             </item>
             <item>
              <layout class="QHBoxLayout" name="horizontalLayout_11" stretch="5,1,1,1,1">
               <item>
                <widget class="QLabel" name="event">
                 <property name="text">
                  <string>Dynamic Event:</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QComboBox" name="event_drop">
                 <item>
                  <property name="text">
                   <string/>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>Acceleration</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>Skidpad</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>Autocross</string>
                  </property>
                 </item>
                 <item>
                  <property name="text">
                   <string>Endurance</string>
                  </property>
                 </item>
                </widget>
               </item>
               <item>
                <widget class="QPushButton" name="set_event">
                 <property name="text">
                  <string>Set</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QLabel" name="label_15">
                 <property name="text">
                  <string>Current:</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QLabel" name="currentevent">
                 <property name="text">
                  <string/>
                 </property>
                </widget>
               </item>
              </layout>
             </item>
            </layout>
           </item>
          </layout>
         </widget>
        </widget>
       </item>
       <item>
        <widget class="QPushButton" name="send_all">
         <property name="text">
          <string>SEND ALL</string>
         </property>
        </widget>
       </item>
       <item>
        <layout class="QHBoxLayout" name="horizontalLayout_13">
         <item>
          <widget class="QComboBox" name="comboBox">
           <item>
            <property name="text">
             <string/>
            </property>
           </item>
           <item>
            <property name="text">
             <string>Endurance</string>
            </property>
           </item>
           <item>
            <property name="text">
             <string>Skidpad</string>
            </property>
           </item>
           <item>
            <property name="text">
             <string>Acceleration</string>
            </property>
           </item>
          </widget>
         </item>
         <item>
          <widget class="QPushButton" name="save">
           <property name="text">
            <string>Save</string>
           </property>
          </widget>
         </item>
         <item>
          <widget class="QPushButton" name="load">
           <property name="text">
            <string>Load</string>
           </property>
          </widget>
         </item>
        </layout>
       </item>
      </layout>
     </widget>
     <widget class="QWidget" name="tab">
      <attribute name="title">
       <string>States</string>
      </attribute>
      <layout class="QVBoxLayout" name="verticalLayout_10">
       <item>
        <widget class="QScrollArea" name="scrollArea_2">
         <property name="widgetResizable">
          <bool>true</bool>
         </property>
         <widget class="QWidget" name="scrollAreaWidgetContents">
          <property name="geometry">
           <rect>
            <x>0</x>
            <y>0</y>
            <width>450</width>
            <height>355</height>
           </rect>
          </property>
          <layout class="QVBoxLayout" name="verticalLayout_9">
           <item>
            <layout class="QVBoxLayout" name="states"/>
           </item>
          </layout>
         </widget>
        </widget>
       </item>
      </layout>
     </widget>
    </widget>
   </item>
  </layout>
 </widget>
 <customwidgets>
  <customwidget>
   <class>arm_bars</class>
   <extends>QWidget</extends>
   <header>arm_bars.hpp</header>
   <container>1</container>
  </customwidget>
 </customwidgets>
 <resources/>
 <connections/>
</ui>
